Name:           nessus-libraries
Version:        2.2.11
Release:        10%{?dist}
Summary:        Support libraries for nessus

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.nessus.org
#http://www.nessus.org/download/index.php
Source0:        nessus-libraries-2.2.11.tar.gz
Patch0:         nessus-libraries-config.patch
Patch1:         nessus-libraries-2.2.4.Makefile.patch
Patch2:         nessus-config-multi.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  libpcap-devel
BuildRequires:  openssl-devel

%description
Support libraries for nessus

%package devel
Summary:        Development package for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libpcap-devel
Requires:       openssl-devel

%description devel
The %{name}-devel package contains the files needed for development
with %{name}.

%prep
%setup -q -n %{name}
%patch0
%patch1 -p1
%patch2

%build
%configure  --enable-chiper --disable-nessuspcap --enable-shared \
--disable-static --with-pic
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# generate ghost service.* files
mkdir -m 0755 -p %{buildroot}%{_localstatedir}/lib/nessus
touch -r VERSION %{buildroot}%{_localstatedir}/lib/nessus/services.{tcp,udp,txt}
touch -r VERSION %{buildroot}%{_bindir}/nessus-config

rm -f $RPM_BUILD_ROOT/%{_libdir}/*la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc libnessus/COPYING
%ghost %dir %{_localstatedir}/lib/nessus
%ghost %verify(not md5 size mtime) %{_localstatedir}/lib/nessus/services.*
%{_libdir}/libhosts_gatherer.so.*
%{_libdir}/libnessus.so.*
%exclude %{_sbindir}/uninstall-nessus

%files devel
%defattr(-,root,root,-)
%{_libdir}/libhosts_gatherer.so
%{_libdir}/libnessus.so
%{_includedir}/nessus
%{_mandir}/man1/nessus-config.*
%{_bindir}/nessus-config

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.11-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.11-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.11-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.11-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 30 2009 Jesse Keating <jkeating@redhat.com> - 2.2.11-3
- Bump for F12 mass rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 23 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 2.2.11-1
- version upgrade

* Mon Feb 11 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 2.2.10-3
- Rebuilt for gcc43

* Sat Dec 08 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.10-2
- fix multilib #342671

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.10-1
- version upgrade
- fix license tag

* Tue Dec 19 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.9-1
- version upgrade

* Wed Sep 13 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.8-3
- FE6 rebuild

* Thu Jun 29 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.8-2
- fix requires

* Sun Jun 18 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.8-1
- version upgrade

* Wed May 17 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.7-1
- version upgrade

* Fri Feb 24 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.6-2
- include patch for localstatedir
- build pic only
- ghost service files

* Tue Feb 21 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.6-1
- Initial Revision
